## org.apache.xerces.impl.dv
Class ValidatedInfo

    java.lang.Object
      org.apache.xerces.impl.dv.ValidatedInfo

    public class ValidatedInfo

extends java.lang.Object

Class to get the information back after content is validated. This info would be filled by validate().

Version:
  $Id: ValidatedInfo.java 446751 2006-09-15 21:54:06Z mrglavas $
Author:
  Neeraj Bajaj, Sun Microsystems, inc.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary
`java.lang.Object` `actualValue` The actual value from a string value (QName, Boolean, etc.) An array of Objects if the type is a list.
`short` `actualValueType` The type of the actual value.
`org.apache.xerces.xs.ShortList` `itemValueTypes` In the case the value is a list or a list of unions, this value indicates the type(s) of the items in the list.
`XSSimpleType` `memberType` If the type is a union type, then the member type which actually validated the string value.
`XSSimpleType[]` `memberTypes` If 1.
`java.lang.String` `normalizedValue` The normalized value of a string value

Constructor Summary
`ValidatedInfo()`

Method Summary
`static boolean` `isComparable(ValidatedInfo info1, ValidatedInfo info2)` Returns true if the two ValidatedInfo objects can be compared in the same value space.
`void` `reset()` reset the state of this object
`java.lang.String` `stringValue()` Return a string representation of the value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### normalizedValue

    public java.lang.String normalizedValue

  The normalized value of a string value

### actualValue

    public java.lang.Object actualValue

  The actual value from a string value (QName, Boolean, etc.) An array of Objects if the type is a list.

### actualValueType

    public short actualValueType

  The type of the actual value. It's one of the _DT constants defined in XSConstants.java. The value is used to indicate the most specific built-in type. (i.e. short instead of decimal or integer).

### memberType

    public XSSimpleType memberType

  If the type is a union type, then the member type which actually validated the string value.

### memberTypes

    public XSSimpleType[] memberTypes

  If 1. the type is a union type where one of the member types is a list, or if the type is a list; and 2. the item type of the list is a union type then an array of member types used to validate the values.

### itemValueTypes

    public org.apache.xerces.xs.ShortList itemValueTypes

  In the case the value is a list or a list of unions, this value indicates the type(s) of the items in the list. For a normal list, the length of the array is 1; for list of unions, the length of the array is the same as the length of the list.

Constructor Detail

### ValidatedInfo

    public ValidatedInfo()

Method Detail

### reset

    public void reset()

  reset the state of this object

### stringValue

    public java.lang.String stringValue()

  Return a string representation of the value. If there is an actual value, use toString; otherwise, use the normalized value.

### isComparable

    public static boolean isComparable(ValidatedInfo info1,
                                       ValidatedInfo info2)

  Returns true if the two ValidatedInfo objects can be compared in the same value space.

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.